%global major_version 2
%global minor_version 1
%global teeny_version 2
%global patch_level 95
%global major_minor_version %{major_version}.%{minor_version}

%global ruby_version %{major_minor_version}.%{teeny_version}
%global ruby_release %{ruby_version}


%global ruby_archive %{name}-%{ruby_version}

# If revision and milestone are removed/commented out, the official release build is expected.
%if 0%{?milestone:1}%{?revision:1} != 0
%global development_release %{?milestone}%{?!milestone:%{?revision:r%{revision}}}
%global ruby_archive %{ruby_archive}-%{?milestone}%{?!milestone:%{?revision:r%{revision}}}
%else
%endif


%global release %mkrel 1
%{!?release_string:%global release_string %{?development_release:0.}%{release}%{?development_release:.%{development_release}}%{?dist}}

%global rubygems_version 2.2.2

# The RubyGems library has to stay out of Ruby directory three, since the
# RubyGems should be share by all Ruby implementations.
%global rubygems_dir %{_datadir}/rubygems
%global irb_version %{ruby_version}
%global bigdecimal_version 1.2.4
%global io_console_version 0.4.2
%global json_version 1.8.1
%global minitest_version 4.7.5
%global psych_version 2.0.5
%global rake_version 10.1.0
%global rdoc_version 4.1.0
%global tapset_root %{_datadir}/systemtap
%global tapset_dir %{tapset_root}/tapset
%global tapset_libdir %(echo %{_libdir} | sed 's/64//')*
%global _normalized_cpu %(echo %{_target_cpu} | sed 's/^ppc/powerpc/;s/i.86/i386/;s/sparcv./sparc/')

Summary: An interpreter of object-oriented scripting language
Name: ruby
Version: %{ruby_version}
Release: %{release_string}
Group:  Development/Ruby
License: (Ruby or BSD) and Public Domain
URL: http://ruby-lang.org/
Source0: ftp://ftp.ruby-lang.org/pub/%{name}/%{major_minor_version}/%{ruby_archive}.tar.xz
Source1: operating_system.rb
Source2: libruby.stp
Source3: ruby-exercise.stp
Source4: ruby.macros
Source5: rubygems.macros
Source6: abrt_prelude.rb
Source7: config.h
Source8: rubygems.attr
Source9: rubygems.req
Source10: rubygems.prov
Source100: load.inc
%include %{SOURCE100}
%{load %{SOURCE4}}
%{load %{SOURCE5}}

Patch0: ruby-2.1.0-Prevent-duplicated-paths-when-empty-version-string-i.patch
Patch1: ruby-2.1.0-Enable-configuration-of-archlibdir.patch
Patch2: ruby-2.1.0-always-use-i386.patch
Patch3: ruby-1.9.3.p195-fix-webrick-tests.patch
Patch4: ruby-2.1.0-custom-rubygems-location.patch
Patch5: ruby-1.9.3-mkmf-verbose.patch
Patch6: ruby-2.1.0-Allow-to-specify-additional-preludes-by-configuratio.patch
Patch7: ruby-r46485-libffi31.patch

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: ruby(rubygems) >= %{rubygems_version}
Requires: rubygem(bigdecimal) >= %{bigdecimal_version}

BuildRequires: autoconf
BuildRequires: gdbm-devel
BuildRequires: libffi-devel
BuildRequires: openssl-devel
BuildRequires: readline-devel
BuildRequires: tk-devel
BuildRequires: %{_bindir}/git
BuildRequires: %{_bindir}/cmake
Provides: ruby(runtime_executable) = %{ruby_release}
#----------------------------------------------------
Obsoletes: %{_lib}qtruby4shared2 <= 4.10.1-1
Obsoletes: marisa-ruby <= 0.2.4-1
Obsoletes: pdflib-lite-ruby <= 7.0.5-3
Obsoletes: ruby <= 1.8.7.p352-2
Obsoletes: ruby-abstract <= 1.0.0-1
Obsoletes: ruby-abstract-doc <= 1.0.0-1
Obsoletes: ruby-actionmailer <= 2.3.11-1
Obsoletes: ruby-actionpack <= 2.3.11-1
Obsoletes: ruby-activerecord <= 3.1.0-1
Obsoletes: ruby-activeresource <= 2.3.11-1
Obsoletes: ruby-activesupport <= 3.1.0-1
Obsoletes: ruby-allison <= 2.0.3-1
Obsoletes: ruby-allison-doc <= 2.0.3-1
Obsoletes: ruby-amazon <= 0.9.2-1
Obsoletes: ruby-archive-tar-minitar <= 0.5.2-1
Obsoletes: ruby-archive-tar-minitar-doc <= 0.5.2-1
Obsoletes: ruby-Ascii85 <= 1.0.0-1
Obsoletes: ruby-Ascii85-doc <= 1.0.0-1
Obsoletes: ruby-atk <= 1.0.3-1
Obsoletes: ruby-atk-devel <= 1.0.3-1
Obsoletes: ruby-atk-doc <= 1.0.3-1
Obsoletes: ruby-autotest <= 4.2.9-1
Obsoletes: ruby-autotest-doc <= 4.2.9-1
Obsoletes: ruby-background_process <= 1.2-1
Obsoletes: ruby-background_process-doc <= 1.2-1
Obsoletes: ruby-bdb <= 0.6.5-1
Obsoletes: ruby-BlueCloth <= 1.0.1-1
Obsoletes: ruby-BlueCloth-doc <= 1.0.1-1
Obsoletes: ruby-builder <= 2.1.2-1
Obsoletes: ruby-builder-doc <= 2.1.2-1
Obsoletes: ruby-caca <= 0.99-0.beta16.3
Obsoletes: ruby-cairo <= 1.10.0-1
Obsoletes: ruby-cairo-doc <= 1.10.0-1
Obsoletes: ruby-cancan <= 1.2.0-1
Obsoletes: ruby-cancan-doc <= 1.2.0-1
Obsoletes: ruby-choices <= 0.2.0-1
Obsoletes: ruby-choices-doc <= 0.2.0-1
Obsoletes: ruby-chronic <= 0.3.0-1
Obsoletes: ruby-chronic-doc <= 0.3.0-1
Obsoletes: ruby-ci_reporter <= 1.6.4-1
Obsoletes: ruby-ci_reporter-doc <= 1.6.4-1
Obsoletes: ruby-coderay <= 0.9.7-1
Obsoletes: ruby-coderay-doc <= 0.9.7-1
Obsoletes: ruby-coffee-script <= 2.1.2-1
Obsoletes: ruby-coffee-script-doc <= 2.1.2-1
Obsoletes: ruby-coffee-script-source <= 1.0.1-1
Obsoletes: ruby-coffee-script-source-doc <= 1.0.1-1
Obsoletes: ruby-columnize <= 0.3.2-1
Obsoletes: ruby-columnize-doc <= 0.3.2-1
Obsoletes: ruby-configuration <= 1.1.0-1
Obsoletes: ruby-configuration-doc <= 1.1.0-1
Obsoletes: ruby-contest <= 0.1.2-1
Obsoletes: ruby-contest-doc <= 0.1.2-1
Obsoletes: ruby-crack <= 0.1.8-1
Obsoletes: ruby-crack-doc <= 0.1.8-1
Obsoletes: ruby-cucumber <= 0.10.2-1
Obsoletes: ruby-cucumber-doc <= 0.10.2-1
Obsoletes: ruby-culerity <= 0.2.15-1
Obsoletes: ruby-culerity-doc <= 0.2.15-1
Obsoletes: ruby-curb <= 0.7.15-1
Obsoletes: ruby-curb-doc <= 0.7.15-1
Obsoletes: ruby-daemons <= 1.1.2-1
Obsoletes: ruby-daemons-doc <= 1.1.2-1
Obsoletes: ruby-database_cleaner <= 0.5.2-1
Obsoletes: ruby-database_cleaner-doc <= 0.5.2-1
Obsoletes: ruby-dbd-mysql <= 0.4.4-1
Obsoletes: ruby-dbd-mysql-doc <= 0.4.4-1
Obsoletes: ruby-dbd-sqlite3 <= 1.2.5-1
Obsoletes: ruby-dbd-sqlite3 <= doc-1.2.5-1
Obsoletes: ruby-dbi <= 0.4.5-1
Obsoletes: ruby-dbi-doc <= 0.4.5-1
Obsoletes: ruby-deprecated <= 2.0.1-1
Obsoletes: ruby-devel <= 1.8.7.p352-2
Obsoletes: ruby-dict <= 0.9.4-1
Obsoletes: ruby-diff-lcs <= 1.1.2-1
Obsoletes: ruby-diff-lcs-doc <= 1.1.2-1
Obsoletes: ruby-doc <= 1.8.7.p352-2
Obsoletes: ruby-dust <= 0.1.6-1
Obsoletes: ruby-dust-doc <= 0.1.6-1
Obsoletes: ruby-echoe <= 4.5.6-1
Obsoletes: ruby-echoe-doc <= 4.5.6-1
Obsoletes: ruby-edavis10-object_daddy <= 0.4.3-1
Obsoletes: ruby-em-http-request <= 0.3.0-1
Obsoletes: ruby-em-http-request-doc <= 0.3.0-1
Obsoletes: ruby-erubis <= 2.7.0-1
Obsoletes: ruby-erubis-doc <= 2.7.0-1
Obsoletes: ruby-escape_utils <= 0.2.3-1
Obsoletes: ruby-escape_utils-doc <= 0.2.3-1
Obsoletes: ruby-eventmachine <= 0.12.10-1
Obsoletes: ruby-eventmachine-doc <= 0.12.10-1
Obsoletes: ruby-factory_girl <= 1.2.4-1
Obsoletes: ruby-factory_girl-doc <= 1.2.4-1
Obsoletes: ruby-faker <= 0.3.1-1
Obsoletes: ruby-faker-doc <= 0.3.1-1
Obsoletes: ruby-fakeweb <= 1.3.0-1
Obsoletes: ruby-fakeweb-doc <= 1.3.0-1
Obsoletes: ruby-faraday <= 0.6.1-1
Obsoletes: ruby-faraday-doc <= 0.6.1-1
Obsoletes: ruby-fastercsv <= 1.5.4-1
Obsoletes: ruby-fastercsv-doc <= 1.5.4-1
Obsoletes: ruby-fastthread <= 1.0.7-1
Obsoletes: ruby-fastthread-doc <= 1.0.7-1
Obsoletes: ruby-fb <= 0.6.7-1
Obsoletes: ruby-fb_adapter <= 0.6.0-1
Obsoletes: ruby-fb_adapter-doc <= 0.6.0-1
Obsoletes: ruby-fb-doc <= 0.6.7-1
Obsoletes: ruby-fcgi <= 0.8.8-1
Obsoletes: ruby-ffi <= 1.0.7-1
Obsoletes: ruby-ffi-doc <= 1.0.7-1
Obsoletes: ruby-flexmock <= 0.9.0-1
Obsoletes: ruby-flexmock-doc <= 0.9.0-1
Obsoletes: ruby-fssm <= 0.1.4-1
Obsoletes: ruby-fssm-doc <= 0.1.4-1
Obsoletes: ruby-gd <= 0.8.0-1
Obsoletes: ruby-gdk_pixbuf2 <= 1.0.3-1
Obsoletes: ruby-gdk_pixbuf2-doc <= 1.0.3-1
Obsoletes: ruby-gem2rpm <= 0.6.0-1
Obsoletes: ruby-gemcutter <= 0.7.0-1
Obsoletes: ruby-gemcutter-doc <= 0.7.0-1
Obsoletes: rubygem-minitest <= 2.5.1-1
Obsoletes: ruby-gem_plugin <= 0.2.3-1
Obsoletes: ruby-gem_plugin-doc <= 0.2.3-1
Obsoletes: rubygem-rake <= 0.9.2-1
Obsoletes: rubygem-rake-doc <= 0.9.2-1
Obsoletes: rubygem-rubyforge <= 2.0.4-1
Obsoletes: ruby-geoip <= 1.0.0-1
Obsoletes: ruby-geoip-doc <= 1.0.0-1
Obsoletes: ruby-gettext <= 2.1.0-1
Obsoletes: ruby-gettext-doc <= 2.1.0-1
Obsoletes: ruby-git <= 1.2.5-1
Obsoletes: ruby-git-doc <= 1.2.5-1
Obsoletes: ruby-glib2 <= 1.0.3-1
Obsoletes: ruby-glib2-devel <= 1.0.3-1
Obsoletes: ruby-glib2-doc <= 1.0.3-1
Obsoletes: ruby-graphviz <= 2.36.0-1
Obsoletes: ruby-gtk2 <= 1.0.3-1
Obsoletes: ruby-gtk2-devel <= 1.0.3-1
Obsoletes: ruby-gtk2-doc <= 1.0.3-1
Obsoletes: ruby-hoe <= 2.9.4-1
Obsoletes: ruby-hoe-doc <= 2.9.4-1
Obsoletes: ruby-hoe-gemspec <= 1.0.0-1
Obsoletes: ruby-hoe-gemspec-doc <= 1.0.0-1
Obsoletes: ruby-hoe-git <= 1.3.0-1
Obsoletes: ruby-hoe-git-doc <= 1.3.0-1
Obsoletes: ruby-htmlentities <= 4.2.4-1
Obsoletes: ruby-htmlentities-doc <= 4.2.4-1
Obsoletes: ruby-httpclient <= 2.2.0-1
Obsoletes: ruby-httpclient-doc <= 2.2.0-1
Obsoletes: ruby-i18n <= 0.4.2-1
Obsoletes: ruby-i18n-doc <= 0.4.2-1
Obsoletes: ruby-icalendar <= 1.1.6-1
Obsoletes: ruby-icalendar-doc <= 1.1.6-1
Obsoletes: ruby-isolate <= 3.0.0-1
Obsoletes: ruby-isolate-doc <= 3.0.0-1
Obsoletes: ruby-itextomml <= 1.4.5-1
Obsoletes: ruby-itextomml-doc <= 1.4.5-1
Obsoletes: ruby-jeweler <= 1.5.2-1
Obsoletes: ruby-jeweler-doc <= 1.5.2-1
Obsoletes: ruby-json <= 1.2.0-1
Obsoletes: ruby-json_pure <= 1.5.1-1
Obsoletes: ruby-json_pure-doc <= 1.5.1-1
Obsoletes: ruby-launchy <= 0.3.7-1
Obsoletes: ruby-launchy-doc <= 0.3.7-1
Obsoletes: ruby-less <= 1.2.21-1
Obsoletes: ruby-less-doc <= 1.2.21-1
Obsoletes: ruby-libxml <= 1.1.3-1
Obsoletes: ruby-libxml-doc <= 1.1.3-1
Obsoletes: ruby-linecache <= 0.43-1
Obsoletes: ruby-linecache-doc <= 0.43-1
Obsoletes: ruby-liquid <= 2.2.2-1
Obsoletes: ruby-liquid-doc <= 2.2.2-1
Obsoletes: ruby-locale <= 2.0.5-1
Obsoletes: ruby-locale-doc <= 2.0.5-1
Obsoletes: ruby-log4r <= 1.1.9-1
Obsoletes: ruby-log4r-doc <= 1.1.9-1
Obsoletes: ruby-markaby <= 0.7.1-1
Obsoletes: ruby-markaby-doc <= 0.7.1-1
Obsoletes: ruby-maruku <= 0.6.0-1
Obsoletes: ruby-maruku-doc <= 0.6.0-1
Obsoletes: ruby-mg <= 0.0.8-1
Obsoletes: ruby-minitest <= 2.1.0-1
Obsoletes: ruby-minitest-doc <= 2.1.0-1
Obsoletes: ruby-mocha <= 0.9.12-1
Obsoletes: ruby-mocha-doc <= 0.9.12-1
Obsoletes: ruby-mongrel <= 1.2.0-0.pre2.1
Obsoletes: ruby-mongrel-doc <= 1.2.0-0.pre2.1
Obsoletes: ruby-multi_json <= 0.0.5-1
Obsoletes: ruby-multi_json-doc <= 0.0.5-1
Obsoletes: ruby-mutter <= 0.5.3-1
Obsoletes: ruby-mutter-doc <= 0.5.3-1
Obsoletes: ruby-ncurses <= 1.2.2-1
Obsoletes: ruby-net-ldap <= 0.2.2-1
Obsoletes: ruby-net-ldap-doc <= 0.2.2-1
Obsoletes: ruby-net-sftp <= 2.0.5-1
Obsoletes: ruby-net-sftp-doc <= 2.0.5-1
Obsoletes: ruby-net-ssh <= 2.1.4-1
Obsoletes: ruby-net-ssh-doc <= 2.1.4-1
Obsoletes: ruby-newgem <= 1.5.3-1
Obsoletes: ruby-newgem-doc <= 1.5.3-1
Obsoletes: ruby-oa-basic <= 0.2.2-1
Obsoletes: ruby-oa-basic-doc <= 0.2.2-1
Obsoletes: ruby-oa-enterprise <= 0.2.2-1
Obsoletes: ruby-oa-enterprise-doc <= 0.2.2-1
Obsoletes: ruby-oa-more <= 0.2.2-1
Obsoletes: ruby-oa-more-doc <= 0.2.2-1
Obsoletes: ruby-oa-openid <= 0.2.2-1
Obsoletes: ruby-oa-openid-doc <= 0.2.2-1
Obsoletes: ruby-obexftp <= 0.23-6
Obsoletes: ruby-omniauth <= 0.2.2-1
Obsoletes: ruby-omniauth-doc <= 0.2.2-1
Obsoletes: ruby-oniguruma <= 1.1.0-1
Obsoletes: ruby-oniguruma-doc <= 1.1.0-1
Obsoletes: ruby-open4 <= 0.9.6-1
Obsoletes: ruby-open4-doc <= 0.9.6-1
Obsoletes: ruby-openbabel <= 2.3.2-2
Obsoletes: ruby-openid-apps-discovery <= 1.2.0-1
Obsoletes: ruby-openid-apps-discovery-doc <= 1.2.0-1
Obsoletes: ruby-pango <= 1.0.3-1
Obsoletes: ruby-pango-devel <= 1.0.3-1
Obsoletes: ruby-pango-doc <= 1.0.3-1
Obsoletes: ruby-patron <= 0.4.11-1
Obsoletes: ruby-patron-doc <= 0.4.11-1
Obsoletes: ruby-pdf-reader <= 0.9.1-1
Obsoletes: ruby-pdf-reader-doc <= 0.9.1-1
Obsoletes: ruby-pkg-config <= 1.1.0-1
Obsoletes: ruby-pkg-config-doc <= 1.1.0-1
Obsoletes: ruby-polyglot <= 0.3.1-1
Obsoletes: ruby-polyglot-doc <= 0.3.1-1
Obsoletes: ruby-prawn-core <= 0.8.4-1
Obsoletes: ruby-prawn-core-doc <= 0.8.4-1
Obsoletes: ruby-prelude <= 1.0.1-1
Obsoletes: ruby-progressbar <= 0.9-1
Obsoletes: ruby-protest <= 0.4.2-1
Obsoletes: ruby-protest-doc <= 0.4.2-1
Obsoletes: ruby-pyu-ruby-sasl <= 0.0.3.2-1
Obsoletes: ruby-pyu-ruby-sasl-doc <= 0.0.3.2-1
Obsoletes: ruby-racc <= 1.4.5-1
Obsoletes: ruby-rack <= 1.1.2-1
Obsoletes: ruby-rack-doc <= 1.1.2-1
Obsoletes: ruby-rack-openid <= 1.2.0-1
Obsoletes: ruby-rack-openid-doc <= 1.2.0-1
Obsoletes: ruby-rack-test <= 0.5.7-1
Obsoletes: ruby-rack-test-doc <= 0.5.7-1
Obsoletes: ruby-radius <= 0.6.1-1
Obsoletes: ruby-radius-doc <= 0.6.1-1
Obsoletes: ruby-rails <= 2.3.11-1
Obsoletes: ruby-rails-devel <= 2.3.11-1
Obsoletes: ruby-rails-doc <= 2.3.11-1
Obsoletes: ruby-rake <= 0.8.7-1
Obsoletes: ruby-rake-compiler <= 0.7.7-1
Obsoletes: ruby-rake-compiler-doc <= 0.7.7-1
Obsoletes: ruby-rbogl <= 0.32g-1
Obsoletes: ruby-rchardet <= 1.3-1
Obsoletes: ruby-rchardet-doc <= 1.3-1
Obsoletes: ruby-rcov <= 0.9.9-1
Obsoletes: ruby-rcov-doc <= 0.9.9-1
Obsoletes: ruby-rdiscount <= 1.3.1.1-1
Obsoletes: ruby-rdiscount-doc <= 1.3.1.1-1
Obsoletes: ruby-rdoc <= 3.5.3-1
Obsoletes: ruby-rdoc-doc <= 3.5.3-1
Obsoletes: ruby-RedCloth <= 4.2.7-1
Obsoletes: ruby-RedCloth-doc <= 4.2.7-1
Obsoletes: ruby-redgreen <= 1.2.2-1
Obsoletes: ruby-rest-client <= 1.6.1-1
Obsoletes: ruby-rest-client-doc <= 1.6.1-1
Obsoletes: ruby-rexical <= 1.0.5-1
Obsoletes: ruby-rexical-doc <= 1.0.5-1
Obsoletes: ruby-riddle <= 1.2.2-1
Obsoletes: ruby-riddle-doc <= 1.2.2-1
Obsoletes: ruby-ritex <= 1.0.1-1
Obsoletes: ruby-ritex-doc <= 1.0.1-1
Obsoletes: ruby-rpm <= 1.2.3-12
Obsoletes: ruby-rr <= 1.0.2-1
Obsoletes: ruby-rr-doc <= 1.0.2-1
Obsoletes: ruby-rspec <= 2.5.0-1
Obsoletes: ruby-rspec-core <= 2.5.0-1
Obsoletes: ruby-rspec-core-doc <= 2.5.0-1
Obsoletes: ruby-rspec-doc <= 2.5.0-1
Obsoletes: ruby-rspec-expectations <= 2.5.0-1
Obsoletes: ruby-rspec-expectations-doc <= 2.5.0-1
Obsoletes: ruby-rspec-mocks <= 2.5.0-1
Obsoletes: ruby-rspec-mocks-doc <= 2.5.0-1
Obsoletes: ruby-rubigen <= 1.5.6-1
Obsoletes: ruby-rubigen-doc <= 1.5.6-1
Obsoletes: ruby-ruby-debug <= 0.10.4-1
Obsoletes: ruby-ruby-debug-base <= 0.10.4-1
Obsoletes: ruby-ruby-debug-base-doc <= 0.10.4-1
Obsoletes: ruby-ruby-debug-doc <= 0.10.4-1
Obsoletes: ruby-RubyGems <= 1.7.2-1
Obsoletes: ruby-RubyInline <= 3.8.6-1
Obsoletes: ruby-RubyInline-doc <= 3.8.6-1
Obsoletes: ruby-rubyntlm <= 0.1.1-1
Obsoletes: ruby-rubyntlm-doc <= 0.1.1-1
Obsoletes: ruby-ruby-openid <= 2.1.8-1
Obsoletes: ruby-ruby-openid-doc <= 2.1.8-1
Obsoletes: ruby-rubyzip <= 0.9.4-1
Obsoletes: ruby-rubyzip-doc <= 0.9.4-1
Obsoletes: ruby-rvm <= 1.6.3-1
Obsoletes: ruby-rvm-doc <= 1.6.3-1
Obsoletes: ruby-sary <= 1.2.0-8
Obsoletes: ruby-SDL <= 2.0.1-1
Obsoletes: ruby-sexp_processor <= 3.0.5-1
Obsoletes: ruby-sexp_processor-doc <= 3.0.5-1
Obsoletes: ruby-shotgun <= 0.8-1
Obsoletes: ruby-shotgun-doc <= 0.8-1
Obsoletes: ruby-shoulda <= 2.10.3-1
Obsoletes: ruby-shoulda-doc <= 2.10.3-1
Obsoletes: ruby-simplecov-html <= 0.4.4-1
Obsoletes: ruby-simplecov-html-doc <= 0.4.4-1
Obsoletes: ruby-sprockets <= 1.0.2-1
Obsoletes: ruby-sprockets-doc <= 1.0.2-1
Obsoletes: ruby-sprockets-rails <= 0.0.1-1
Obsoletes: ruby-sprockets-rails-doc <= 0.0.1-1
Obsoletes: ruby-sqlite3 <= 1.3.3-1
Obsoletes: ruby-sqlite3-doc <= 1.3.3-1
Obsoletes: ruby-stomp <= 1.1.7-1
Obsoletes: ruby-stomp-doc <= 1.1.7-1
Obsoletes: ruby-strace_me <= 1.0-1
Obsoletes: ruby-strace_me-doc <= 1.0-1
Obsoletes: ruby-svn <= 1.8.10-1
Obsoletes: ruby-syntax <= 1.0.0-1
Obsoletes: ruby-syntax-doc <= 1.0.0-1
Obsoletes: ruby-SystemTimer <= 1.2.2-1
Obsoletes: ruby-SystemTimer-doc <= 1.2.2-1
Obsoletes: ruby-term-ansicolor <= 1.0.5-1
Obsoletes: ruby-term-ansicolor-doc <= 1.0.5-1
Obsoletes: ruby-test-construct <= 1.2.0-1
Obsoletes: ruby-test-construct-doc <= 1.2.0-1
Obsoletes: ruby-test-spec <= 0.10.0-1
Obsoletes: ruby-test-spec-doc <= 0.10.0-1
Obsoletes: ruby-test-unit <= 2.1.2-1
Obsoletes: ruby-test-unit-doc <= 2.1.2-1
Obsoletes: ruby-text-format <= 1.0.0-1
Obsoletes: ruby-text-format-doc <= 1.0.0-1
Obsoletes: ruby-text-hyphen <= 1.0.2-1
Obsoletes: ruby-text-hyphen-doc <= 1.0.2-1
Obsoletes: ruby-thrift <= 0.5.0-1
Obsoletes: ruby-thrift-doc <= 0.5.0-1
Obsoletes: ruby-tidy_ffi <= 0.1.3-1
Obsoletes: ruby-tidy_ffi-doc <= 0.1.3-1
Obsoletes: ruby-tk <= 1.8.7.p352-2
Obsoletes: ruby-tmail <= 1.2.7-1
Obsoletes: ruby-tmail-doc <= 1.2.7-1
Obsoletes: ruby-treetop <= 1.4.9-1
Obsoletes: ruby-treetop-doc <= 1.4.9-1
Obsoletes: ruby-typhoeus <= 0.2.4-1
Obsoletes: ruby-typhoeus-doc <= 0.2.4-1
Obsoletes: ruby-tzinfo <= 0.3.26-1
Obsoletes: ruby-tzinfo-doc <= 0.3.26-1
Obsoletes: ruby-validates_email_format_of <= 1.4.5-1
Obsoletes: ruby-vestal_versions <= 1.0.2-1
Obsoletes: ruby-vestal_versions-doc <= 1.0.2-1
Obsoletes: ruby-webmock <= 1.6.2-1
Obsoletes: ruby-webmock-doc <= 1.6.2-1
Obsoletes: ruby-whenever <= 0.4.2-1
Obsoletes: ruby-whenever-doc <= 0.4.2-1
Obsoletes: ruby-will_paginate <= 2.3.15-1
Obsoletes: ruby-will_paginate-doc <= 2.3.15-1
Obsoletes: ruby-wrongdoc <= 1.5.0-1
Obsoletes: ruby-wrongdoc-doc <= 1.5.0-1
Obsoletes: ruby-xml-simple <= 1.0.15-1
Obsoletes: ruby-xml-simple-doc <= 1.0.15-1
Obsoletes: ruby-yadis <= 0.3.4-1
Obsoletes: ruby-yadis-doc <= 0.3.4-1
Obsoletes: ruby-yard <= 0.6.8-1
Obsoletes: ruby-yard-doc <= 0.6.8-1
Obsoletes: ruby-ZenTest <= 4.5.0-1
Obsoletes: ruby-ZenTest-doc <= 4.5.0-1
Obsoletes: ruby-zoom <= 0.4.1-1
Obsoletes: weechat-ruby <= 0.4.0-2
Obsoletes: xmms2-ruby <= 0.8-2
#----------------------------------------------------

%global __provides_exclude_from ^(%{ruby_libarchdir}|%{gem_archdir})/.*\\.so$

%description
Ruby is the interpreted scripting language for quick and easy
object-oriented programming.  It has many features to process text
files and to do system management tasks (as in Perl).  It is simple,
straight-forward, and extensible.


%package devel
Summary:    A Ruby development environment
Group:      Development/Ruby
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files and libraries for building an extension library for the
Ruby or an application embedding Ruby.

%package libs
Summary:    Libraries necessary to run Ruby
Group:      Development/Ruby
License:    Ruby or BSD
Provides:   ruby(release) = %{ruby_release}

%description libs
This package includes the libruby, necessary to run Ruby.

# TODO: Rename or not rename to ruby-rubygems?
%package -n rubygems
Summary:    The Ruby standard for packaging ruby libraries
Version:    %{rubygems_version}
Group:      Development/Ruby
License:    Ruby or MIT
Requires:   ruby(release)
Requires:   rubygem(rdoc) >= %{rdoc_version}
Requires:   rubygem(io-console) >= %{io_console_version}
Requires:   rubygem(psych) >= %{psych_version}
Provides:   gem = %{version}-%{release}
Provides:   ruby(rubygems) = %{version}-%{release}
BuildArch:  noarch

%description -n rubygems
RubyGems is the Ruby standard for publishing and managing third party
libraries.


%package -n rubygems-devel
Summary:    Macros and development tools for packaging RubyGems
Version:    %{rubygems_version}
Group:      Development/Ruby
License:    Ruby or MIT
Requires:   ruby(rubygems) = %{version}-%{release}
BuildArch:  noarch

%description -n rubygems-devel
Macros and development tools for packaging RubyGems.


%package -n rubygem-rake
Summary:    Ruby based make-like utility
Version:    %{rake_version}
Group:      Development/Ruby
License:    Ruby or MIT
Requires:   ruby(release)
Requires:   ruby(rubygems) >= %{rubygems_version}
Provides:   rake = %{version}-%{release}
Provides:   rubygem(rake) = %{version}-%{release}
BuildArch:  noarch

%description -n rubygem-rake
Rake is a Make-like program implemented in Ruby. Tasks and dependencies are
specified in standard Ruby syntax.


%package irb
Summary:    The Interactive Ruby
Version:    %{irb_version}
Group:      Development/Ruby
Requires:   %{name}-libs = %{ruby_version}
Provides:   irb = %{version}-%{release}
Provides:   ruby(irb) = %{version}-%{release}
BuildArch:  noarch

%description irb
The irb is acronym for Interactive Ruby.  It evaluates ruby expression
from the terminal.


%package -n rubygem-rdoc
Summary:    A tool to generate HTML and command-line documentation for Ruby projects
Version:    %{rdoc_version}
Group:      Development/Ruby
License:    GPLv2 and Ruby and MIT
Requires:   ruby(release)
Requires:   ruby(rubygems) >= %{rubygems_version}
Requires:   ruby(irb) = %{irb_version}
Requires:   rubygem(json) >= %{json_version}
Provides:   rdoc = %{version}-%{release}
Provides:   ri = %{version}-%{release}
Provides:   rubygem(rdoc) = %{version}-%{release}
BuildArch:  noarch

%description -n rubygem-rdoc
RDoc produces HTML and command-line documentation for Ruby projects.  RDoc
includes the 'rdoc' and 'ri' tools for generating and displaying online
documentation.


%package doc
Summary:    Documentation for %{name}
Group:      Documentation
Requires:   %{_bindir}/ri
BuildArch:  noarch

%description doc
This package contains documentation for %{name}.


%package -n rubygem-bigdecimal
Summary:    BigDecimal provides arbitrary-precision floating point decimal arithmetic
Version:    %{bigdecimal_version}
Group:      Development/Ruby
License:    GPL+ or Artistic
Requires:   ruby(release)
Requires:   ruby(rubygems) >= %{rubygems_version}
Provides:   rubygem(bigdecimal) = %{version}-%{release}

%description -n rubygem-bigdecimal
Ruby provides built-in support for arbitrary precision integer arithmetic.
For example:

42**13 -> 1265437718438866624512

BigDecimal provides similar support for very large or very accurate floating
point numbers. Decimal arithmetic is also useful for general calculation,
because it provides the correct answers people expect–whereas normal binary
floating point arithmetic often introduces subtle errors because of the
conversion between base 10 and base 2.


%package -n rubygem-io-console
Summary:    IO/Console is a simple console utilizing library
Version:    %{io_console_version}
Group:      Development/Ruby
Requires:   ruby(release)
Requires:   ruby(rubygems) >= %{rubygems_version}
Provides:   rubygem(io-console) = %{version}-%{release}

%description -n rubygem-io-console
IO/Console provides very simple and portable access to console. It doesn't
provide higher layer features, such like curses and readline.


%package -n rubygem-json
Summary:    This is a JSON implementation as a Ruby extension in C
Version:    %{json_version}
Group:      Development/Ruby
License:    Ruby or GPLv2
Requires:   ruby(release)
Requires:   ruby(rubygems) >= %{rubygems_version}
Provides:   rubygem(json) = %{version}-%{release}

%description -n rubygem-json
This is a implementation of the JSON specification according to RFC 4627.
You can think of it as a low fat alternative to XML, if you want to store
data to disk or transmit it over a network rather than use a verbose
markup language.


%package -n rubygem-minitest
Summary:    Minitest provides a complete suite of testing facilities
Version:    %{minitest_version}
Group:      Development/Ruby
License:    MIT
Requires:   ruby(release)
Requires:   ruby(rubygems) >= %{rubygems_version}
Provides:   rubygem(minitest) = %{version}-%{release}
BuildArch:  noarch

%description -n rubygem-minitest
minitest/unit is a small and incredibly fast unit testing framework.

minitest/spec is a functionally complete spec engine.

minitest/benchmark is an awesome way to assert the performance of your
algorithms in a repeatable manner.

minitest/mock by Steven Baker, is a beautifully tiny mock object
framework.

minitest/pride shows pride in testing and adds coloring to your test
output.


%package -n rubygem-psych
Summary:    A libyaml wrapper for Ruby
Version:    %{psych_version}
Group:      Development/Ruby
License:    MIT
Requires:   ruby(release)
Requires:   ruby(rubygems) >= %{rubygems_version}
Provides:   rubygem(psych) = %{version}-%{release}

%description -n rubygem-psych
Psych is a YAML parser and emitter. Psych leverages
libyaml[http://pyyaml.org/wiki/LibYAML] for its YAML parsing and emitting
capabilities. In addition to wrapping libyaml, Psych also knows how to
serialize and de-serialize most Ruby objects to and from the YAML format.

# TODO:
# %%pacakge -n rubygem-test-unit


%package tcltk
Summary:    Tcl/Tk interface for scripting language Ruby
Group:      Development/Ruby
Requires:   %{name}-libs%{?_isa} = %{ruby_version}
Provides:   ruby(tcltk) = %{ruby_version}-%{release}

%description tcltk
Tcl/Tk interface for the object-oriented scripting language Ruby.

%prep
%setup -q -n %{ruby_archive}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p0

# Provide an example of usage of the tapset:
cp -a %{SOURCE3} .

# Make abrt_prelude.rb available for compilation process. The prelude must be
# available together with Ruby's source due to
# https://github.com/ruby/ruby/blob/trunk/tool/compile_prelude.rb#L26
cp -a %{SOURCE6} .

%build
autoconf

%configure \
        --with-rubylibprefix='%{ruby_libdir}' \
        --with-archlibdir='%{_libdir}' \
        --with-rubyarchprefix='%{ruby_libarchdir}' \
        --with-sitedir='%{ruby_sitelibdir}' \
        --with-sitearchdir='%{ruby_sitearchdir}' \
        --with-vendordir='%{ruby_vendorlibdir}' \
        --with-vendorarchdir='%{ruby_vendorarchdir}' \
        --with-rubyhdrdir='%{_includedir}' \
        --with-rubyarchhdrdir='%{_includedir}' \
        --with-sitearchhdrdir='$(sitehdrdir)/$(arch)' \
        --with-vendorarchhdrdir='$(vendorhdrdir)/$(arch)' \
        --with-rubygemsdir='%{rubygems_dir}' \
        --with-ruby-pc='%{name}.pc' \
        --with-tcltkversion=8.6 \
        --disable-rpath \
        --enable-shared \
        --with-ruby-version='' \
        --enable-multiarch \
        --with-prelude=./abrt_prelude.rb \

# Q= makes the build output more verbose and allows to check Fedora
# compiler options.
make %{?_smp_mflags} COPY="cp -p" Q=

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Rename ruby/config.h to ruby/config-<arch>.h to avoid file conflicts on
# multilib systems and install config.h wrapper
mv %{buildroot}%{_includedir}/%{name}/config.h %{buildroot}%{_includedir}/%{name}/config-%{_arch}.h
install -m644 %{SOURCE7} %{buildroot}%{_includedir}/%{name}/config.h

# Rename the ruby executable. It is replaced by RubyPick.
%{?with_rubypick:mv %{buildroot}%{_bindir}/%{name}{,-mri}}

# Version is empty if --with-ruby-version is specified.
# http://bugs.ruby-lang.org/issues/7807
sed -i 's/Version: \${ruby_version}/Version: %{ruby_version}/' %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

# Kill bundled certificates, as they should be part of ca-certificates.
for cert in \
  Class3PublicPrimaryCertificationAuthority.pem \
  DigiCertHighAssuranceEVRootCA.pem \
  EntrustnetSecureServerCertificationAuthority.pem \
  GeoTrustGlobalCA.pem
do
  rm %{buildroot}%{rubygems_dir}/rubygems/ssl_certs/$cert
done

# Move macros file insto proper place and replace the %%{name} macro, since it
# would be wrongly evaluated during build of other packages.
mkdir -p %{buildroot}%{_rpmconfigdir}/macros.d

mkdir -p %{buildroot}/etc/rpm/macros.d

install -m 644 %{SOURCE4} %{buildroot}/etc/rpm/macros.d/ruby.macros
sed -i "s/%%{name}/%{name}/" %{buildroot}/etc/rpm/macros.d/ruby.macros
install -m 644 %{SOURCE5} %{buildroot}/etc/rpm/macros.d/rubygems.macros
sed -i "s/%%{name}/%{name}/" %{buildroot}/etc/rpm/macros.d/rubygems.macros

# Install dependency generators.
mkdir -p %{buildroot}%{_rpmconfigdir}/fileattrs
install -m 644 %{SOURCE8} %{buildroot}%{_rpmconfigdir}/fileattrs
install -m 755 %{SOURCE9} %{buildroot}%{_rpmconfigdir}
install -m 755 %{SOURCE10} %{buildroot}%{_rpmconfigdir}

# Install custom operating_system.rb.
mkdir -p %{buildroot}%{rubygems_dir}/rubygems/defaults
cp %{SOURCE1} %{buildroot}%{rubygems_dir}/rubygems/defaults

# Move gems root into common direcotry, out of Ruby directory structure.
mv %{buildroot}%{ruby_libdir}/gems %{buildroot}%{gem_dir}

# Create folders for gem binary extensions.
# TODO: These folders should go into rubygem-filesystem but how to achieve it,
# since noarch package cannot provide arch dependent subpackages?
# http://rpm.org/ticket/78
mkdir -p %{buildroot}%{_exec_prefix}/lib{,64}/gems/%{name}

# Move bundled rubygems to %%gem_dir and %%gem_extdir_mri
# make symlinks for io-console and bigdecimal, which are considered to be part of stdlib by other Gems
mkdir -p %{buildroot}%{gem_dir}/gems/rake-%{rake_version}/lib
mv %{buildroot}%{ruby_libdir}/rake* %{buildroot}%{gem_dir}/gems/rake-%{rake_version}/lib
mv %{buildroot}%{gem_dir}/specifications/default/rake-%{rake_version}.gemspec %{buildroot}%{gem_dir}/specifications

mkdir -p %{buildroot}%{gem_dir}/gems/rdoc-%{rdoc_version}/lib
mv %{buildroot}%{ruby_libdir}/rdoc* %{buildroot}%{gem_dir}/gems/rdoc-%{rdoc_version}/lib
mv %{buildroot}%{gem_dir}/specifications/default/rdoc-%{rdoc_version}.gemspec %{buildroot}%{gem_dir}/specifications

mkdir -p %{buildroot}%{gem_dir}/gems/bigdecimal-%{bigdecimal_version}/lib
mkdir -p %{buildroot}%{_libdir}/gems/%{name}/bigdecimal-%{bigdecimal_version}
mv %{buildroot}%{ruby_libdir}/bigdecimal %{buildroot}%{gem_dir}/gems/bigdecimal-%{bigdecimal_version}/lib
mv %{buildroot}%{ruby_libarchdir}/bigdecimal.so %{buildroot}%{_libdir}/gems/%{name}/bigdecimal-%{bigdecimal_version}
mv %{buildroot}%{gem_dir}/specifications/default/bigdecimal-%{bigdecimal_version}.gemspec %{buildroot}%{gem_dir}/specifications
ln -s %{gem_dir}/gems/bigdecimal-%{bigdecimal_version}/lib/bigdecimal %{buildroot}%{ruby_libdir}/bigdecimal
ln -s %{_libdir}/gems/%{name}/bigdecimal-%{bigdecimal_version}/bigdecimal.so %{buildroot}%{ruby_libarchdir}/bigdecimal.so

mkdir -p %{buildroot}%{gem_dir}/gems/io-console-%{io_console_version}/lib
mkdir -p %{buildroot}%{_libdir}/gems/%{name}/io-console-%{io_console_version}/io
mv %{buildroot}%{ruby_libdir}/io %{buildroot}%{gem_dir}/gems/io-console-%{io_console_version}/lib
mv %{buildroot}%{ruby_libarchdir}/io/console.so %{buildroot}%{_libdir}/gems/%{name}/io-console-%{io_console_version}/io
mv %{buildroot}%{gem_dir}/specifications/default/io-console-%{io_console_version}.gemspec %{buildroot}%{gem_dir}/specifications
ln -s %{gem_dir}/gems/io-console-%{io_console_version}/lib/io %{buildroot}%{ruby_libdir}/io
ln -s %{_libdir}/gems/%{name}/io-console-%{io_console_version}/io/console.so %{buildroot}%{ruby_libarchdir}/io/console.so

mkdir -p %{buildroot}%{gem_dir}/gems/json-%{json_version}/lib
mkdir -p %{buildroot}%{_libdir}/gems/%{name}/json-%{json_version}
mv %{buildroot}%{ruby_libdir}/json* %{buildroot}%{gem_dir}/gems/json-%{json_version}/lib
mv %{buildroot}%{ruby_libarchdir}/json/ %{buildroot}%{_libdir}/gems/%{name}/json-%{json_version}/
mv %{buildroot}%{gem_dir}/specifications/default/json-%{json_version}.gemspec %{buildroot}%{gem_dir}/specifications

mkdir -p %{buildroot}%{gem_dir}/gems/minitest-%{minitest_version}/lib
mv %{buildroot}%{ruby_libdir}/minitest %{buildroot}%{gem_dir}/gems/minitest-%{minitest_version}/lib
mv %{buildroot}%{gem_dir}/specifications/default/minitest-%{minitest_version}.gemspec %{buildroot}%{gem_dir}/specifications

mkdir -p %{buildroot}%{gem_dir}/gems/psych-%{psych_version}/lib
mkdir -p %{buildroot}%{_libdir}/gems/%{name}/psych-%{psych_version}
mv %{buildroot}%{ruby_libdir}/psych* %{buildroot}%{gem_dir}/gems/psych-%{psych_version}/lib
mv %{buildroot}%{ruby_libarchdir}/psych.so %{buildroot}%{_libdir}/gems/%{name}/psych-%{psych_version}/
mv %{buildroot}%{gem_dir}/specifications/default/psych-%{psych_version}.gemspec %{buildroot}%{gem_dir}/specifications
# The links should replace directory, which RPM cannot handle and it is causing
# issues during upgrade from F18 to F19. As a workaround the links are placed
# into vendor direcories. This could be changed back as soon as F18 is EOLed.
# https://bugzilla.redhat.com/show_bug.cgi?id=988490
ln -s %{gem_dir}/gems/psych-%{psych_version}/lib/psych %{buildroot}%{ruby_vendorlibdir}/psych
ln -s %{gem_dir}/gems/psych-%{psych_version}/lib/psych.rb %{buildroot}%{ruby_vendorlibdir}/psych.rb
ln -s %{_libdir}/gems/%{name}/psych-%{psych_version}/psych.so %{buildroot}%{ruby_vendorarchdir}/psych.so

# Adjust the gemspec files so that the gems will load properly
sed -i '/^end$/ i\
  s.require_paths = ["lib"]' %{buildroot}%{gem_dir}/specifications/rake-%{rake_version}.gemspec

sed -i '/^end$/ i\
  s.require_paths = ["lib"]' %{buildroot}%{gem_dir}/specifications/rdoc-%{rdoc_version}.gemspec

sed -i '/^end$/ i\
  s.require_paths = ["lib"]\
  s.extensions = ["bigdecimal.so"]' %{buildroot}%{gem_dir}/specifications/bigdecimal-%{bigdecimal_version}.gemspec

sed -i '/^end$/ i\
  s.require_paths = ["lib"]\
  s.extensions = ["io/console.so"]' %{buildroot}%{gem_dir}/specifications/io-console-%{io_console_version}.gemspec

sed -i '/^end$/ i\
  s.require_paths = ["lib"]\
  s.extensions = ["json/ext/parser.so", "json/ext/generator.so"]' %{buildroot}%{gem_dir}/specifications/json-%{json_version}.gemspec

sed -i '/^end$/ i\
  s.require_paths = ["lib"]' %{buildroot}%{gem_dir}/specifications/minitest-%{minitest_version}.gemspec

# Install a tapset and fix up the path to the library.
mkdir -p %{buildroot}%{tapset_dir}
sed -e "s|@LIBRARY_PATH@|%{tapset_libdir}/libruby.so.%{ruby_version}|" \
  %{SOURCE2} > %{buildroot}%{tapset_dir}/libruby.so.%{ruby_version}.stp
# Escape '*/' in comment.
sed -i -r "s|( \*.*\*)\/(.*)|\1\\\/\2|" %{buildroot}%{tapset_dir}/libruby.so.%{ruby_version}.stp


%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files
%doc COPYING
%lang(ja) %doc COPYING.ja
%doc GPL
%doc LEGAL
%{_bindir}/erb
%{_bindir}/%{name}%{?with_rubypick:-mri}
%{_bindir}/testrb
%{_mandir}/man1/erb*
%{_mandir}/man1/ruby*

# http://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries
%exclude %{_libdir}/libruby-static.a

%files devel
%doc COPYING*
%doc GPL
%doc LEGAL
%doc README.EXT
%lang(ja) %doc README.EXT.ja

/etc/rpm/macros.d/ruby.macros

%{_includedir}/*
%{_libdir}/libruby.so
%{_libdir}/pkgconfig/%{name}.pc

%files libs
%doc COPYING
%lang(ja) %doc COPYING.ja
%doc GPL
%doc LEGAL
%doc README
%lang(ja) %doc README.ja
%doc NEWS
%doc doc/NEWS-*
# Exclude /usr/local directory since it is supposed to be managed by
# local system administrator.
%exclude %{ruby_sitelibdir}
%exclude %{ruby_sitearchdir}
%{ruby_vendorlibdir}
%{ruby_vendorarchdir}

# List all these files explicitly to prevent surprises
# Platform independent libraries.
%dir %{ruby_libdir}
%{ruby_libdir}/*.rb
%exclude %{ruby_libdir}/*-tk.rb
%exclude %{ruby_libdir}/irb.rb
%exclude %{ruby_libdir}/tcltk.rb
%exclude %{ruby_libdir}/tk*.rb
%{ruby_libdir}/cgi
%{ruby_libdir}/date
%{ruby_libdir}/digest
%{ruby_libdir}/dl
%{ruby_libdir}/drb
%{ruby_libdir}/fiddle
%exclude %{ruby_libdir}/irb
%{ruby_libdir}/matrix
%{ruby_libdir}/net
%{ruby_libdir}/openssl
%{ruby_libdir}/optparse
%{ruby_libdir}/racc
%{ruby_libdir}/rbconfig
%{ruby_libdir}/rexml
%{ruby_libdir}/rinda
%{ruby_libdir}/ripper
%{ruby_libdir}/rss
%{ruby_libdir}/shell
%{ruby_libdir}/syslog
%{ruby_libdir}/test
%exclude %{ruby_libdir}/tk
%exclude %{ruby_libdir}/tkextlib
%{ruby_libdir}/uri
%{ruby_libdir}/webrick
%{ruby_libdir}/xmlrpc
%{ruby_libdir}/yaml

# Platform specific libraries.
%{_libdir}/libruby.so.*
%dir %{ruby_libarchdir}
%{ruby_libarchdir}/continuation.so
%{ruby_libarchdir}/coverage.so
%{ruby_libarchdir}/date_core.so
%{ruby_libarchdir}/dbm.so
%dir %{ruby_libarchdir}/digest
%{ruby_libarchdir}/digest.so
%{ruby_libarchdir}/digest/bubblebabble.so
%{ruby_libarchdir}/digest/md5.so
%{ruby_libarchdir}/digest/rmd160.so
%{ruby_libarchdir}/digest/sha1.so
%{ruby_libarchdir}/digest/sha2.so
%dir %{ruby_libarchdir}/dl
%{ruby_libarchdir}/dl.so
%{ruby_libarchdir}/dl/callback.so
%dir %{ruby_libarchdir}/enc
%{ruby_libarchdir}/enc/big5.so
%{ruby_libarchdir}/enc/cp949.so
%{ruby_libarchdir}/enc/emacs_mule.so
%{ruby_libarchdir}/enc/encdb.so
%{ruby_libarchdir}/enc/euc_jp.so
%{ruby_libarchdir}/enc/euc_kr.so
%{ruby_libarchdir}/enc/euc_tw.so
%{ruby_libarchdir}/enc/gb18030.so
%{ruby_libarchdir}/enc/gb2312.so
%{ruby_libarchdir}/enc/gbk.so
%{ruby_libarchdir}/enc/iso_8859_1.so
%{ruby_libarchdir}/enc/iso_8859_10.so
%{ruby_libarchdir}/enc/iso_8859_11.so
%{ruby_libarchdir}/enc/iso_8859_13.so
%{ruby_libarchdir}/enc/iso_8859_14.so
%{ruby_libarchdir}/enc/iso_8859_15.so
%{ruby_libarchdir}/enc/iso_8859_16.so
%{ruby_libarchdir}/enc/iso_8859_2.so
%{ruby_libarchdir}/enc/iso_8859_3.so
%{ruby_libarchdir}/enc/iso_8859_4.so
%{ruby_libarchdir}/enc/iso_8859_5.so
%{ruby_libarchdir}/enc/iso_8859_6.so
%{ruby_libarchdir}/enc/iso_8859_7.so
%{ruby_libarchdir}/enc/iso_8859_8.so
%{ruby_libarchdir}/enc/iso_8859_9.so
%{ruby_libarchdir}/enc/koi8_r.so
%{ruby_libarchdir}/enc/koi8_u.so
%{ruby_libarchdir}/enc/shift_jis.so
%dir %{ruby_libarchdir}/enc/trans
%{ruby_libarchdir}/enc/trans/big5.so
%{ruby_libarchdir}/enc/trans/chinese.so
%{ruby_libarchdir}/enc/trans/emoji.so
%{ruby_libarchdir}/enc/trans/emoji_iso2022_kddi.so
%{ruby_libarchdir}/enc/trans/emoji_sjis_docomo.so
%{ruby_libarchdir}/enc/trans/emoji_sjis_kddi.so
%{ruby_libarchdir}/enc/trans/emoji_sjis_softbank.so
%{ruby_libarchdir}/enc/trans/escape.so
%{ruby_libarchdir}/enc/trans/gb18030.so
%{ruby_libarchdir}/enc/trans/gbk.so
%{ruby_libarchdir}/enc/trans/iso2022.so
%{ruby_libarchdir}/enc/trans/japanese.so
%{ruby_libarchdir}/enc/trans/japanese_euc.so
%{ruby_libarchdir}/enc/trans/japanese_sjis.so
%{ruby_libarchdir}/enc/trans/korean.so
%{ruby_libarchdir}/enc/trans/single_byte.so
%{ruby_libarchdir}/enc/trans/transdb.so
%{ruby_libarchdir}/enc/trans/utf8_mac.so
%{ruby_libarchdir}/enc/trans/utf_16_32.so
%{ruby_libarchdir}/enc/utf_16be.so
%{ruby_libarchdir}/enc/utf_16le.so
%{ruby_libarchdir}/enc/utf_32be.so
%{ruby_libarchdir}/enc/utf_32le.so
%{ruby_libarchdir}/enc/windows_1251.so
%{ruby_libarchdir}/enc/windows_31j.so
%{ruby_libarchdir}/etc.so
%{ruby_libarchdir}/fcntl.so
%{ruby_libarchdir}/fiber.so
%{ruby_libarchdir}/fiddle.so
%{ruby_libarchdir}/gdbm.so
%dir %{ruby_libarchdir}/io
%{ruby_libarchdir}/io/nonblock.so
%{ruby_libarchdir}/io/wait.so
%dir %{ruby_libarchdir}/mathn
%{ruby_libarchdir}/mathn/complex.so
%{ruby_libarchdir}/mathn/rational.so
%{ruby_libarchdir}/nkf.so
%{ruby_libarchdir}/objspace.so
%{ruby_libarchdir}/openssl.so
%{ruby_libarchdir}/pathname.so
%{ruby_libarchdir}/pty.so
%dir %{ruby_libarchdir}/racc
%{ruby_libarchdir}/racc/cparse.so
%{ruby_libarchdir}/rbconfig.rb
%{ruby_libarchdir}/rbconfig/sizeof.so
%{ruby_libarchdir}/readline.so
%{ruby_libarchdir}/ripper.so
%{ruby_libarchdir}/sdbm.so
%{ruby_libarchdir}/socket.so
%{ruby_libarchdir}/stringio.so
%{ruby_libarchdir}/strscan.so
%{ruby_libarchdir}/syslog.so
%exclude %{ruby_libarchdir}/tcltklib.so
%{ruby_libarchdir}/thread.so
%exclude %{ruby_libarchdir}/tkutil.so
%{ruby_libarchdir}/zlib.so

%{tapset_root}

%dir %{gem_dir}
%dir %{gem_dir}/specifications
%dir %{gem_dir}/specifications/default
%{gem_dir}/specifications/default/test-unit-*.gemspec

%files -n rubygems
%{_bindir}/gem
%{rubygems_dir}
%{gem_dir}
%exclude %{gem_dir}/gems/*
%{_exec_prefix}/lib*/gems
%exclude %{_exec_prefix}/lib*/gems/%{name}/bigdecimal-%{bigdecimal_version}
%exclude %{_exec_prefix}/lib*/gems/%{name}/io-console-%{io_console_version}
%exclude %{_exec_prefix}/lib*/gems/%{name}/json-%{json_version}
%exclude %{_exec_prefix}/lib*/gems/%{name}/psych-%{psych_version}
%exclude %{gem_dir}/gems/rake-%{rake_version}
%exclude %{gem_dir}/gems/rdoc-%{rdoc_version}
%exclude %{gem_dir}/specifications/bigdecimal-%{bigdecimal_version}.gemspec
%exclude %{gem_dir}/specifications/io-console-%{io_console_version}.gemspec
%exclude %{gem_dir}/specifications/json-%{json_version}.gemspec
%exclude %{gem_dir}/specifications/minitest-%{minitest_version}.gemspec
%exclude %{gem_dir}/specifications/rake-%{rake_version}.gemspec
%exclude %{gem_dir}/specifications/rdoc-%{rdoc_version}.gemspec
%exclude %{gem_dir}/specifications/psych-%{psych_version}.gemspec
%exclude %{gem_dir}/specifications/default/test-unit-*.gemspec

%files -n rubygems-devel
/etc/rpm/macros.d/rubygems.macros
%{_rpmconfigdir}/fileattrs/rubygems.attr
%{_rpmconfigdir}/rubygems.req
%{_rpmconfigdir}/rubygems.prov

%files -n rubygem-rake
%{_bindir}/rake
%{gem_dir}/gems/rake-%{rake_version}
%{gem_dir}/specifications/rake-%{rake_version}.gemspec
%{_mandir}/man1/rake.1*

%files irb
%{_bindir}/irb
%{ruby_libdir}/irb.rb
%{ruby_libdir}/irb
%{_mandir}/man1/irb.1*

%files -n rubygem-rdoc
%{_bindir}/rdoc
%{_bindir}/ri
%{gem_dir}/gems/rdoc-%{rdoc_version}
%{gem_dir}/specifications/rdoc-%{rdoc_version}.gemspec
%{_mandir}/man1/ri*

%files doc
%doc README
%lang(ja) %doc README.ja
%doc ChangeLog
%doc doc/ChangeLog-*
%doc ruby-exercise.stp
%{_datadir}/ri

%files -n rubygem-bigdecimal
%{ruby_libdir}/bigdecimal
%{ruby_libarchdir}/bigdecimal.so
%{_libdir}/gems/%{name}/bigdecimal-%{bigdecimal_version}
%{gem_dir}/gems/bigdecimal-%{bigdecimal_version}
%{gem_dir}/specifications/bigdecimal-%{bigdecimal_version}.gemspec

%files -n rubygem-io-console
%{ruby_libdir}/io
%{ruby_libarchdir}/io/console.so
%{_libdir}/gems/%{name}/io-console-%{io_console_version}
%{gem_dir}/gems/io-console-%{io_console_version}
%{gem_dir}/specifications/io-console-%{io_console_version}.gemspec

%files -n rubygem-json
%{_libdir}/gems/%{name}/json-%{json_version}
%{gem_dir}/gems/json-%{json_version}
%{gem_dir}/specifications/json-%{json_version}.gemspec

%files -n rubygem-minitest
%{gem_dir}/gems/minitest-%{minitest_version}
%{gem_dir}/specifications/minitest-%{minitest_version}.gemspec

%files -n rubygem-psych
%{ruby_vendorlibdir}/psych
%{ruby_vendorlibdir}/psych.rb
%{ruby_vendorarchdir}/psych.so
%{_libdir}/gems/%{name}/psych-%{psych_version}
%{gem_dir}/gems/psych-%{psych_version}
%{gem_dir}/specifications/psych-%{psych_version}.gemspec

%files tcltk
%{ruby_libdir}/*-tk.rb
%{ruby_libdir}/tcltk.rb
%{ruby_libdir}/tk*.rb
%{ruby_libarchdir}/tcltklib.so
%{ruby_libarchdir}/tkutil.so
%{ruby_libdir}/tk
%{ruby_libdir}/tkextlib

%changelog
* Fri Oct 17 2014 bb <bb> 2.1.2-1pclos2014
- update to 2.1.2
- sync to fedora
- obsolete all old ruby packages
- I hate packaging this
